Package io.dapr.v1

# Interface DaprProtos.GetBulkSecretResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetBulkSecretResponse`, `DaprProtos.GetBulkSecretResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetBulkSecretResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsData(String key)`
data hold the secret values.
`Map<String,DaprProtos.SecretResponse>`
`getData()`
Deprecated.
`int`
`getDataCount()`
data hold the secret values.
`Map<String,DaprProtos.SecretResponse>`
`getDataMap()`
data hold the secret values.
`DaprProtos.SecretResponse`
`getDataOrDefault(String key, DaprProtos.SecretResponse defaultValue)`
data hold the secret values.
`DaprProtos.SecretResponse`
`getDataOrThrow(String key)`
data hold the secret values.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDataCount

int getDataCount()

     data hold the secret values. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, .dapr.proto.runtime.v1.SecretResponse> data = 1;`

### containsData

boolean containsData(String key)

     data hold the secret values. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, .dapr.proto.runtime.v1.SecretResponse> data = 1;`

### getData

@Deprecated Map<String,DaprProtos.SecretResponse> getData()
Deprecated.
Use `getDataMap()` instead.

### getDataMap

Map<String,DaprProtos.SecretResponse> getDataMap()

     data hold the secret values. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, .dapr.proto.runtime.v1.SecretResponse> data = 1;`

### getDataOrDefault

DaprProtos.SecretResponse getDataOrDefault(String key, DaprProtos.SecretResponse defaultValue)

     data hold the secret values. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, .dapr.proto.runtime.v1.SecretResponse> data = 1;`

### getDataOrThrow

DaprProtos.SecretResponse getDataOrThrow(String key)

     data hold the secret values. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, .dapr.proto.runtime.v1.SecretResponse> data = 1;`